dojo.provide("zero.form.common.components.WidgetFactory");

zero.form.common.components.WidgetFactory = function () {

	this.createWidget = function(widgetType, params, parentOrSibling, beforeOrAfter)
	{
		var classInfo = dojo.getObject(widgetType);
		var widget = new classInfo(params);
		if(parentOrSibling)
		{
			var parentNode
			if(beforeOrAfter)// means that parentOrSibling is sibling
			{
				var parentNode = parentOrSibling.parentNode;
				if(beforeOrAfter == 'before')
				{
					parentNode.insertBefore(widget.domNode,parentOrSibling);
				}
				else if(beforeOrAfter == 'after')
				{
					var nextSib = parentOrSibling.nextSibling;
					if(nextSib)
					{
						parentNode.insertBefore(widget.domNode,nextSib);
					}
					else
					{
						parentNode.appendChild(widget.domNode);
					}
				}
			}
			else // means that parentOrSibling is parent
			{
				parentOrSibling.appendChild(widget.domNode);
			}
		}
		return widget;
	}

}
